## python-rtslib-fb 2.1.45

=== Makefile ===
# This file is part of RTSLib.
# Copyright (c) 2011-2013 by Datera, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License"); you may
# not use this file except in compliance with the License. You may obtain
# a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#     Unless required by applicable law or agreed to in writing, software
#     distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#     WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#     License for the specific language governing permissions and limitations
#     under the License.
#

PKGNAME = rtslib-fb
NAME = rtslib
GIT_BRANCH = $$(git branch | grep \* | tr -d \*)
VERSION = $$(basename $$(git describe --tags | tr - . | grep -o '[0-9].*$$'))

all:
	@echo "Usage:"
	@echo
	@echo "  make deb         - Builds debian packages."
	@echo "  make rpm         - Builds rpm packages."
	@echo "  make release     - Generates the release tarball."
	@echo
	@echo "  make clean       - Cleanup the local repository build files."
	@echo "  make cleanall    - Also remove dist/*"

clean:
	@rm -fv ${NAME}/*.pyc ${NAME}/*.html
	@rm -frv doc
	@rm -frv ${NAME}.egg-info MANIFEST build
	@rm -frv debian/tmp
	@rm -fv build-stamp
	@rm -fv dpkg-buildpackage.log dpkg-buildpackage.version
	@rm -frv *.rpm
	@rm -fv debian/files debian/*.log debian/*.substvars
	@rm -frv debian/${PKGNAME}-doc/ debian/python2.5-${PKGNAME}/
	@rm -frv debian/python2.6-${PKGNAME}/ debian/python-${PKGNAME}/
	@rm -frv results
	@rm -fv rpm/*.spec *.spec rpm/sed* sed*
	@rm -frv ${PKGNAME}-*
	@echo "Finished cleanup."

cleanall: clean
	@rm -frv dist

release: build/release-stamp
build/release-stamp:
	@mkdir -p build
	@echo "Exporting the repository files..."
	@git archive ${GIT_BRANCH} --prefix ${PKGNAME}-${VERSION}/ \
		| (cd build; tar xfp -)
	@echo "Cleaning up the target tree..."
	@rm -f build/${PKGNAME}-${VERSION}/Makefile
	@rm -f build/${PKGNAME}-${VERSION}/.gitignore
	@echo "Fixing version string..."
	@sed -i "s/__version__ = .*/__version__ = '${VERSION}'/g" \
		build/${PKGNAME}-${VERSION}/${NAME}/__init__.py
	@echo "Generating rpm specfile from template..."
	@cd build/${PKGNAME}-${VERSION}; \
		for spectmpl in rpm/*.spec.tmpl; do \
			sed -i "s/Version:\( *\).*/Version:\1${VERSION}/g" $${spectmpl}; \
			mv $${spectmpl} $$(basename $${spectmpl} .tmpl); \
		done; \
		rm -r rpm
	@echo "Generating rpm changelog..."
	@( \
		version=$$(basename $$(git describe HEAD --tags | tr - .)); \
		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
		date=$$(git show HEAD --format="format:%ad" -s \
			| awk '{print $$1,$$2,$$3,$$5}'); \
		hash=$$(git show HEAD --format="format:%H" -s); \
	   	echo '* '"$${date} $${author} $${version}-1"; \
		echo "  - Generated from git commit $${hash}."; \
	) >> $$(ls build/${PKGNAME}-${VERSION}/*.spec)
	@echo "Generating debian changelog..."
	@( \
		version=$$(basename $$(git describe HEAD --tags | tr - . | grep -o '[0-9].*$$')); \
		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
		date=$$(git show HEAD --format="format:%aD" -s); \
		day=$$(git show HEAD --format='format:%ai' -s \
			| awk '{print $$1}' \
			| awk -F '-' '{print $$3}' | sed 's/^0/ /g'); \
		date=$$(echo $${date} \
			| awk '{print $$1, "'"$${day}"'", $$3, $$4, $$5, $$6}'); \
		hash=$$(git show HEAD --format="format:%H" -s); \
		echo "${PKGNAME} ($${version}) unstable; urgency=low"; \
		echo; \
		echo "  * Generated from git commit $${hash}."; \
		echo; \
		echo " -- $${author}  $${date}"; \
		echo; \
	) > build/${PKGNAME}-${VERSION}/debian/changelog
	@find build/${PKGNAME}-${VERSION}/ -exec \
		touch -t $$(date -d @$$(git show -s --format="format:%at") \
			+"%Y%m%d%H%M.%S") {} \;
	@mkdir -p dist
	@cd build; tar -c --owner=0 --group=0 --numeric-owner \
		--format=gnu -b20 --quoting-style=escape \
		-f ../dist/${PKGNAME}-${VERSION}.tar \
		$$(find ${PKGNAME}-${VERSION} -type f | sort)
	@gzip -6 -n dist/${PKGNAME}-${VERSION}.tar
	@echo "Generated release tarball:"
	@echo "    $$(ls dist/${PKGNAME}-${VERSION}.tar.gz)"
	@touch build/release-stamp

deb: release build/deb-stamp
build/deb-stamp:
	@echo "Building debian packages..."
	@cd build/${PKGNAME}-${VERSION}; \
		dpkg-buildpackage -rfakeroot -us -uc
	@mv build/*_${VERSION}_*.deb dist/
	@echo "Generated debian packages:"
	@for pkg in $$(ls dist/*_${VERSION}_*.deb); do echo "  $${pkg}"; done
	@touch build/deb-stamp

rpm: release build/rpm-stamp
build/rpm-stamp:
	@echo "Building rpm packages..."
	@mkdir -p build/rpm
	@build=$$(pwd)/build/rpm; dist=$$(pwd)/dist/; rpmbuild \
		--define "_topdir $${build}" --define "_sourcedir $${dist}" \
		--define "_rpmdir $${build}" --define "_buildir $${build}" \
		--define "_srcrpmdir $${build}" -ba build/${PKGNAME}-${VERSION}/*.spec
	@mv build/rpm/*-${VERSION}*.src.rpm dist/
	@mv build/rpm/*/*-${VERSION}*.rpm dist/
	@echo "Generated rpm packages:"
	@for pkg in $$(ls dist/*-${VERSION}*.rpm); do echo "  $${pkg}"; done
	@touch build/rpm-stamp

=== debian/changelog ===
python-rtslib-fb (2.1.45-4) unstable; urgency=medium

  * Fixed VCS URLs.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Aug 2014 07:47:04 +0000

python-rtslib-fb (2.1.45-3) unstable; urgency=medium

  * Fixed missing python3-all build-depends. (Closes: #746133).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2014 08:50:32 +0000

python-rtslib-fb (2.1.45-2) unstable; urgency=medium

  * Manually tries to load configfs kernel module to avoid failure on install.
    Thanks to Martin Zobel-Helas <zobel@debian.org> for reporting this problem.
    (Closes: #745648).

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Apr 2014 07:38:32 +0000

python-rtslib-fb (2.1.45-1) unstable; urgency=medium

  * Initial release. (Closes: #736573)

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Jan 2014 15:34:09 +0800

=== debian/control ===
Source: python-rtslib-fb
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le bouder <goneri@debian.org>,
           Andy Grover <andy@groveronline.com>
Build-Depends: debhelper(>= 9),
               python-all (>= 2.6.6-3~),
               python-epydoc,
               python-setuptools,
               python3-all (>= 3.2),
               python3-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.7
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-rtslib-fb.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/python-rtslib-fb.git
Homepage: https://github.com/agrover/rtslib-fb

Package: python-rtslib-fb
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Suggests: python-rtslib-fb-doc
Conflicts: python-rtslib, rtsadmin-frozen
Description: object API for managing the Linux LIO kernel target - Python 2.x
 The rtslib-fb package is an object-based Python library for configuring the
 LIO generic SCSI target, present in 3.x Linux kernel versions.
 .
 The rtslib-fb package is a fork of the "rtslib" code written by RisingTide
 Systems. The "-fb" differentiates between the original and this version.
 Ensure to use either all "fb" versions of the targetcli components --
 targetcli, rtslib, and configshell, or stick with all non-fb versions,
 since they are no longer strictly compatible.
 .
 This package contains the Python 2.x module.

Package: python3-rtslib-fb
Architecture: all
Depends: python-rtslib-fb, ${misc:Depends}, ${python3:Depends}
Suggests: python-rtslib-fb-doc
Conflicts: lio-utils
Replaces: targetcli-fb (<< 2.1.fb32)
Description: object API for managing the Linux LIO kernel target - Python 3.x
 The rtslib-fb package is an object-based Python library for configuring the
 LIO generic SCSI target, present in 3.x Linux kernel versions.
 .
 The rtslib-fb package is a fork of the "rtslib" code written by RisingTide
 Systems. The "-fb" differentiates between the original and this version.
 Ensure to use either all "fb" versions of the targetcli components --
 targetcli, rtslib, and configshell, or stick with all non-fb versions,
 since they are no longer strictly compatible.
 .
 This package contains the Python 3.x module.

Package: python-rtslib-fb-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: object API for managing the Linux LIO kernel target - doc
 The rtslib-fb package is an object-based Python library for configuring the
 LIO generic SCSI target, present in 3.x Linux kernel versions.
 .
 The rtslib-fb package is a fork of the "rtslib" code written by RisingTide
 Systems. The "-fb" differentiates between the original and this version.
 Ensure to use either all "fb" versions of the targetcli components --
 targetcli, rtslib, and configshell, or stick with all non-fb versions,
 since they are no longer strictly compatible.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

#prevent internet access to use PyPi
export http_proxy = http://127.0.0.1:9

UPSTREAM_GIT = git://github.com/agrover/rtslib-fb.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-rtslib-fb; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-rtslib-fb; \
	done
	mv $(CURDIR)/debian/python-rtslib-fb/usr/bin/targetctl \
		$(CURDIR)/debian/python-rtslib-fb/usr/bin/targetctl-python2
	mv $(CURDIR)/debian/python3-rtslib-fb/usr/bin/targetctl \
		$(CURDIR)/debian/python3-rtslib-fb/usr/bin/targetctl-python3

override_dh_installdocs:
	mkdir -p build
	mkdir -p $(CURDIR)/debian/python-rtslib-fb-doc/usr/share/doc/python-rtslib-fb-doc/html
	cd build; epydoc --no-sourcecode --html -n rtslib-fb \
		--exclude configobj ../rtslib/*.py \
		--output $(CURDIR)/debian/python-rtslib-fb-doc/usr/share/doc/python-rtslib-fb-doc/html
	dh_installdocs -O--buildsystem=python_distutils

override_dh_installinit:
	dh_installinit -O--buildsystem=python_distutils --name rtslib-fb-targetctl

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf build

## python-rtslib-fb 2.1.57%2Bdebian

=== debian/rules ===
--- 
+++ 
@@ -6,18 +6,18 @@
 #prevent internet access to use PyPi
 export http_proxy = http://127.0.0.1:9
 
-UPSTREAM_GIT = git://github.com/agrover/rtslib-fb.git
+UPSTREAM_GIT := https://github.com/agrover/rtslib-fb.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-rtslib-fb; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-rtslib-fb; \
 	done
@@ -25,6 +25,9 @@
 		$(CURDIR)/debian/python-rtslib-fb/usr/bin/targetctl-python2
 	mv $(CURDIR)/debian/python3-rtslib-fb/usr/bin/targetctl \
 		$(CURDIR)/debian/python3-rtslib-fb/usr/bin/targetctl-python3
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3
 
 override_dh_installdocs:
 	mkdir -p build

## python-rtslib-fb 2.1.57+debian

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,6 @@
 
 clean:
 	@rm -fv ${NAME}/*.pyc ${NAME}/*.html
-	@rm -frv doc
 	@rm -frv ${NAME}.egg-info MANIFEST build
 	@rm -frv debian/tmp
 	@rm -fv build-stamp

=== debian/changelog ===
python-rtslib-fb (2.1.57+debian-4+7~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 08 Sep 2016 15:45:29 +0000

python-rtslib-fb (2.1.57+debian-3) unstable; urgency=medium

  * override_dh_python3 to fix Py3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Oct 2015 23:51:49 +0000

python-rtslib-fb (2.1.57+debian-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 10:48:18 +0000

python-rtslib-fb (2.1.57+debian-1) experimental; urgency=medium

  * New upstream release (fake one to fix native package).
  * Check if configfs is mounted before starting targetctl restore.
  * Package isn't native anymore (missing debian/source/format file).
  * Removed X-Python-Version: 2.7 now useless (Jessie has 2.7 by default).
  * Standards-Version is now 3.9.6.
  * Added missing dh-python build-depends.
  * Added missing python{3,}-six (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2015 12:50:32 +0000

python-rtslib-fb (2.1.57-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2015 10:24:27 +0000

python-rtslib-fb (2.1.45-5) UNRELEASED; urgency=medium

  * Checking if configfs is present in /proc/mount before starting targetctl
    restore.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2015 11:36:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,29 +2,30 @@
 Section: python
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
-Uploaders: Julien Danjou <acid@debian.org>,
-           Thomas Goirand <zigo@debian.org>,
-           Mehdi Abaakouk <sileht@sileht.net>,
-           Gonéri Le bouder <goneri@debian.org>,
-           Andy Grover <andy@groveronline.com>
+Uploaders: Thomas Goirand <zigo@debian.org>,
+           Andy Grover <andy@groveronline.com>,
 Build-Depends: debhelper(>= 9),
+               dh-python,
                python-all (>= 2.6.6-3~),
                python-epydoc,
                python-setuptools,
                python3-all (>= 3.2),
-               python3-setuptools
-Standards-Version: 3.9.5
-X-Python-Version: >= 2.7
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-rtslib-fb.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/python-rtslib-fb.git
+               python3-setuptools,
+Build-Depends-Indep: python-six,
+                     python3-six,
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python-rtslib-fb.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/python-rtslib-fb.git
 Homepage: https://github.com/agrover/rtslib-fb
 
 Package: python-rtslib-fb
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Provides: ${python:Provides}
-Suggests: python-rtslib-fb-doc
-Conflicts: python-rtslib, rtsadmin-frozen
+Depends: python-six,
+         ${misc:Depends},
+         ${python:Depends},
+Provides: ${python:Provides},
+Suggests: python-rtslib-fb-doc,
+Conflicts: python-rtslib,
 Description: object API for managing the Linux LIO kernel target - Python 2.x
  The rtslib-fb package is an object-based Python library for configuring the
  LIO generic SCSI target, present in 3.x Linux kernel versions.
@@ -39,10 +40,13 @@
 
 Package: python3-rtslib-fb
 Architecture: all
-Depends: python-rtslib-fb, ${misc:Depends}, ${python3:Depends}
-Suggests: python-rtslib-fb-doc
-Conflicts: lio-utils
-Replaces: targetcli-fb (<< 2.1.fb32)
+Depends: python-rtslib-fb,
+         python3-six,
+         ${misc:Depends},
+         ${python3:Depends},
+Suggests: python-rtslib-fb-doc,
+Conflicts: lio-utils,
+Replaces: targetcli-fb (<< 2.1.fb32),
 Description: object API for managing the Linux LIO kernel target - Python 3.x
  The rtslib-fb package is an object-based Python library for configuring the
  LIO generic SCSI target, present in 3.x Linux kernel versions.
@@ -58,7 +62,7 @@
 Package: python-rtslib-fb-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: object API for managing the Linux LIO kernel target - doc
  The rtslib-fb package is an object-based Python library for configuring the
  LIO generic SCSI target, present in 3.x Linux kernel versions.

=== debian/watch ===
version=3
opts="uversionmangle=s/fb//" \
https://fedorahosted.org/releases/t/a/targetcli-fb/ rtslib-fb-([\d]+\.[\d]+\.fb[\d]+)\.tar\.gz

## python-rtslib-fb 2.1.57-1~cloud0

=== debian/changelog ===
python-rtslib-fb (2.1.57-1~cloud0) trusty-liberty; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 08 Sep 2015 09:04:54 +0000

## python-rtslib-fb 2.1.66

=== debian/changelog ===
python-rtslib-fb (2.1.66-3.2~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Aug 2019 20:56:21 +0000

python-rtslib-fb (2.1.66-3.2) unstable; urgency=medium

  * Replace previous NMU with a new source-only upload.

 -- Kenneth J. Pronovici <pronovic@debian.org>  Thu, 08 Aug 2019 02:29:11 +0000

python-rtslib-fb (2.1.66-3.1) unstable; urgency=medium

  * Non-maintainer upload
  * Eliminate dependency on epydoc, which will be removed (closes: #881558)
    - Update debian/rules to no longer build epydoc documentation
    - Update debian/control to remove Build-Depends: python-epydoc
    - Update debian/control to remove now-empty python-rtslib-fb-doc package
    - Update debian/control to remove Suggests: python-rtslib-fb-doc
    - Remove debian/python-rtslib-fb-doc.doc-base

 -- Kenneth J. Pronovici <pronovic@debian.org>  Fri, 02 Aug 2019 17:36:44 +0000

python-rtslib-fb (2.1.66-3) unstable; urgency=medium

  * Add python3-rtslib-fb.rtslib-fb-targetctl.service (Closes: #926943).
  * Move init script from python-rtslib-fb to python3-rtslib-fb and add a
    Recommends: in the python-rtslib-fb (and Breaks+Replaces to allow the
    upgrades).

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Apr 2019 21:33:35 +0200

python-rtslib-fb (2.1.66-2) unstable; urgency=medium

  * Uploading to unstable (Closes: #903500).
  * Added python{3,}-pyudev runtime depends.
  * Fixed patch for change of /etc/rtslib-fb-target.
  * Fixed URL in watch file to use new upstream VCS.
  * Fixed Homepage: field and debian/copyright URLs as well.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Aug 2018 12:33:06 +0200

python-rtslib-fb (2.1.66-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * Fixed upstream VCS URL in debian/rules.
  * New upstream release.
  * Refreshed fix-path-of-etc-saveconfig.json.patch.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ David Rabel ]
  * d/watch: Fix d/watch.
  * d/copyright: Fix paragraph order.
  * d/control: Add dependency on lsb-base.
  * d/control: Delete dependency of python3 package on python2.x package.

 -- David Rabel <david.rabel@noresoft.com>  Fri, 11 May 2018 22:59:07 +0200

python-rtslib-fb (2.1.57+debian-4) unstable; urgency=medium

  * Team upload.
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Sun, 28 Feb 2016 15:49:37 +0100

=== debian/control ===
Source: python-rtslib-fb
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Andy Grover <andy@groveronline.com>,
Build-Depends:
 debhelper(>= 9),
 dh-python,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-six,
 python3-six,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rtslib-fb
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rtslib-fb.git
Homepage: https://github.com/open-iscsi/rtslib-fb

Package: python-rtslib-fb
Architecture: all
Depends:
 lsb-base,
 python-pyudev,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Provides:
 ${python:Provides},
Recommends:
 python3-rtslib-fb,
Conflicts:
 python-rtslib,
 rtsadmin-frozen,
Description: object API for managing the Linux LIO kernel target - Python 2.x
 The rtslib-fb package is an object-based Python library for configuring the
 LIO generic SCSI target, present in 3.x Linux kernel versions.
 .
 The rtslib-fb package is a fork of the "rtslib" code written by RisingTide
 Systems. The "-fb" differentiates between the original and this version.
 Ensure to use either all "fb" versions of the targetcli components --
 targetcli, rtslib, and configshell, or stick with all non-fb versions,
 since they are no longer strictly compatible.
 .
 This package contains the Python 2.x module.

Package: python3-rtslib-fb
Architecture: all
Depends:
 python3-pyudev,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 lio-utils,
Breaks:
 python-rtslib-fb (<< 2.1.66-3~),
Replaces:
 python-rtslib-fb (<< 2.1.66-3~),
 targetcli-fb (<< 2.1.fb32),
Description: object API for managing the Linux LIO kernel target - Python 3.x
 The rtslib-fb package is an object-based Python library for configuring the
 LIO generic SCSI target, present in 3.x Linux kernel versions.
 .
 The rtslib-fb package is a fork of the "rtslib" code written by RisingTide
 Systems. The "-fb" differentiates between the original and this version.
 Ensure to use either all "fb" versions of the targetcli components --
 targetcli, rtslib, and configshell, or stick with all non-fb versions,
 since they are no longer strictly compatible.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #prevent internet access to use PyPi
 export http_proxy = http://127.0.0.1:9
 
-UPSTREAM_GIT := https://github.com/agrover/rtslib-fb.git
+UPSTREAM_GIT := https://github.com/open-iscsi/rtslib-fb.git
 -include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
@@ -31,10 +31,6 @@
 
 override_dh_installdocs:
 	mkdir -p build
-	mkdir -p $(CURDIR)/debian/python-rtslib-fb-doc/usr/share/doc/python-rtslib-fb-doc/html
-	cd build; epydoc --no-sourcecode --html -n rtslib-fb \
-		--exclude configobj ../rtslib/*.py \
-		--output $(CURDIR)/debian/python-rtslib-fb-doc/usr/share/doc/python-rtslib-fb-doc/html
 	dh_installdocs -O--buildsystem=python_distutils
 
 override_dh_installinit:

## python-rtslib-fb 2.1.69

=== debian/changelog ===
python-rtslib-fb (2.1.69-2~bpo10+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@buster-train.debian.net>  Mon, 30 Sep 2019 13:47:34 +0000

python-rtslib-fb (2.1.69-2) experimental; urgency=medium

  * Create /etc/rtslib-fb-target in the startup.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Sep 2019 15:46:05 +0200

python-rtslib-fb (2.1.69-1) experimental; urgency=medium

  * New upstream release (Closes: #933929).
  * Refershed fix-path-of-etc-saveconfig.json.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Sep 2019 18:34:11 +0200

python-rtslib-fb (2.1.66-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Remove all of /etc/rtslib-fb-target on purge (Closes: #909920).
  * Removed Python 2 support (Closes: #938149).
  * Move the init script to python3-rtslib-fb, and add Breaks+Replaces.
  * Increased timeout for /proc/mouts to 50 seconds (from 5 seconds), which
    should fix in most situations (Closes: #858533).

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 19:06:29 +0200

=== debian/control ===
Source: python-rtslib-fb
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Andy Grover <andy@groveronline.com>,
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 openstack-pkg-tools (>= 99~),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-six,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rtslib-fb
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rtslib-fb.git
Homepage: https://github.com/open-iscsi/rtslib-fb

Package: python3-rtslib-fb
Architecture: all
Depends:
 lsb-base,
 python3-pyudev,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 lio-utils,
Breaks: 
 python-rtslib-fb,
Replaces:
 targetcli-fb (<< 2.1.fb32),
 python-rtslib-fb,
Description: object API for managing the Linux LIO kernel target - Python 3.x
 The rtslib-fb package is an object-based Python library for configuring the
 LIO generic SCSI target, present in 3.x Linux kernel versions.
 .
 The rtslib-fb package is a fork of the "rtslib" code written by RisingTide
 Systems. The "-fb" differentiates between the original and this version.
 Ensure to use either all "fb" versions of the targetcli components --
 targetcli, rtslib, and configshell, or stick with all non-fb versions,
 since they are no longer strictly compatible.
 .
 This package contains the Python 3.x module.

## python-rtslib-fb 2.1.71

=== debian/changelog ===
python-rtslib-fb (2.1.71-3) unstable; urgency=medium

  * CVE-2020-14019: Open-iSCSI rtslib-fb through 2.1.72 has weak permissions
    for /etc/target/saveconfig.json because shutil.copyfile (instead of
    shutil.copy) is used, and thus permissions are not preserved. In Debian,
    this file is /etc/rtslib-fb-target/saveconfig.json. Add commits from
    https://github.com/open-iscsi/rtslib-fb/pull/162/commits to fix this.
    (Closes: #972227).
  * Fixed rtslib-fb-targetctl systemd .service installation.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Nov 2020 20:33:22 +0100

python-rtslib-fb (2.1.71-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 11:39:20 +0200

python-rtslib-fb (2.1.71-1) experimental; urgency=medium

  * New upstream release.
  * Refreshed fix-path-of-etc-saveconfig.json.patch.
  * Using debhelper-compat = 11.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Mar 2020 10:58:30 +0200

python-rtslib-fb (2.1.69-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 10:22:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Thomas Goirand <zigo@debian.org>,
  Andy Grover <andy@groveronline.com>,
 Build-Depends:
- debhelper-compat (= 9),
+ debhelper-compat (= 11),
  dh-python,
  openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
  python3-six,
-Standards-Version: 4.1.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rtslib-fb
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rtslib-fb.git
 Homepage: https://github.com/open-iscsi/rtslib-fb
@@ -28,11 +28,11 @@
  ${python3:Depends},
 Conflicts:
  lio-utils,
-Breaks: 
+Breaks:
  python-rtslib-fb,
 Replaces:
+ python-rtslib-fb,
  targetcli-fb (<< 2.1.fb32),
- python-rtslib-fb,
 Description: object API for managing the Linux LIO kernel target - Python 3.x
  The rtslib-fb package is an object-based Python library for configuring the
  LIO generic SCSI target, present in 3.x Linux kernel versions.

=== debian/rules ===
#!/usr/bin/make -f

#prevent internet access to use PyPi
export http_proxy = http://127.0.0.1:9

UPSTREAM_GIT := https://github.com/open-iscsi/rtslib-fb.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

#override_dh_installdocs:
#	mkdir -p build
#	mkdir -p $(CURDIR)/debian/python-rtslib-fb-doc/usr/share/doc/python-rtslib-fb-doc/html
#	cd build; epydoc --no-sourcecode --html -n rtslib-fb \
#		--exclude configobj ../rtslib/*.py \
#		--output $(CURDIR)/debian/python-rtslib-fb-doc/usr/share/doc/python-rtslib-fb-doc/html
#	dh_installdocs -O--buildsystem=python_distutils

override_dh_installinit:
	dh_installinit -O--buildsystem=python_distutils --name rtslib-fb-targetctl

override_dh_installsystemd:
	dh_installsystemd -p python3-rtslib-fb --name rtslib-fb-targetctl

=== debian/watch ===
version=3
opts="dversionmangle=s/\+debian//,uversionmangle=s/fb//" \
https://github.com/open-iscsi/rtslib-fb/tags .*/v(\d[\d\.fb]+)\.tar\.gz

## python-rtslib-fb 2.1.73

=== debian/changelog ===
python-rtslib-fb (2.1.73-1ubuntu4.1) groovy; urgency=medium

  * Fix service fail on install due to name mismatch and lost mkdir
    (LP: #1916715)
    - d/python3-rtslib-fb.rtslib-fb-targetctl.service: add back debianized
      systemd service file.
    - d/python3-rtslib-fb.rtslib-fb-targetctl.service: Add check to skip
      starting this service when running in a container (LP: #1865037).
    - d/rules: install rtslib-fb-targetctl.service as it was in Focal.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Fri, 12 Mar 2021 15:52:34 +0530

python-rtslib-fb (2.1.73-1ubuntu4) groovy; urgency=medium

  * Disable xen-pvscsi due to unsup xen_scsiback module (LP: #1891214)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 08 Sep 2020 17:11:00 +0000

python-rtslib-fb (2.1.73-1ubuntu3) groovy; urgency=medium

  * SECURITY UPDATE: insecure saveconfig.json permissions
    - debian/patches/CVE-2020-14019.patch: keep proper umask when calling
      shutil.copy() in rtslib/root.py.
    - CVE-2020-14019

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 18 Aug 2020 10:25:05 -0400

python-rtslib-fb (2.1.73-1ubuntu2) groovy; urgency=medium

  * Fix FTBFS for python3 (LP #1890243)

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 04 Aug 2020 07:13:51 +0000

python-rtslib-fb (2.1.73-1ubuntu1) groovy; urgency=medium

  * New upstream version.

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Tue, 04 Aug 2020 05:25:13 +0000

python-rtslib-fb (2.1.73-1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.1.73
  * Update d/p/fix-path-of-etc-saveconfig.json.patch
  * Adjust rules for build, install, man, docs, init and systemd
  * Fix interpreter version: d/p/fix-interpreter-version.patch

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Sat, 27 Jun 2020 02:46:27 +0000

python-rtslib-fb (2.1.71-0ubuntu1) focal; urgency=medium

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 25 Feb 2020 13:36:13 +0000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-rtslib-fb
 Section: python
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Andy Grover <andy@groveronline.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# LP: #1890243 workaround
export PYBUILD_DISABLE_python3=test

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	pybuild --configure
	pybuild --build

override_dh_auto_install:
	mkdir -p debian/tmp/etc/rtslib-fb-target/
	pybuild --install

override_dh_auto_clean:
	rm -rf .pybuild/
	rm -rf build/
	rm -rf *.egg-info/

override_dh_installman:
	dh_installman doc/saveconfig.json.5
	dh_installman doc/targetctl.8

override_dh_installdocs:
	dh_installdocs README.md
	dh_installdocs COPYING
	dh_installdocs doc/getting_started.md

override_dh_installinit:
	dh_installinit --name rtslib-fb-targetctl

override_dh_installsystemd:
	dh_installsystemd -p python3-rtslib-fb --no-stop-on-upgrade --name rtslib-fb-targetctl

## python-rtslib-fb 2.1.74

=== debian/changelog ===
python-rtslib-fb (2.1.74-0ubuntu5) kinetic; urgency=medium

  * d/p/handle-target-kernel-module-new-attribute-cpus_allow.patch:
    Handle new Linux kernel module attribute "cpus_allowed_list".
    (LP: #1988366)

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Wed, 31 Aug 2022 22:41:11 -0400

python-rtslib-fb (2.1.74-0ubuntu4) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:27:17 +0000

python-rtslib-fb (2.1.74-0ubuntu3) hirsute; urgency=medium

  *  d/python3-rtslib-fb.rtslib-fb-targetctl.service: Add check to skip
     starting this service when running in a container (LP: #1865037).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 05 Mar 2021 16:26:14 +0000

python-rtslib-fb (2.1.74-0ubuntu2) hirsute; urgency=medium

  * Fix service fail on install due to name mismatch and lost mkdir (LP: #1916715)
    - d/python3-rtslib-fb.rtslib-fb-targetctl.service: add back debianized
      systemd service file
    - d/rules: install rtslib-fb-targetctl.service as it was in Focal

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 24 Feb 2021 09:32:35 +0100

python-rtslib-fb (2.1.74-0ubuntu1) hirsute; urgency=medium

  * New upstream release.  Remaining changes:
    - d/p/fix-path-of-etc-saveconfig.json.patch: Refresh patch.
    - d/p/lp1891214-disable-xen-pvscsi.patch: Disable xen-pvscsi due
      to unsup xen_scsiback module (LP #1891214)
    - Adjust rules for build, install, man, docs, init and systemd:
      + Use the pybuild build system.
      + Add override_installman to install manpages.
      + Add override_dh_installdocs to install the .md documentation
        files shipped by the project.
      + Simplify override_dh_installinit.
      + Add override_dh_installsystemd to install the systemd unit file.
    - d/p/fix-interpreter-version.patch: Set interpreter version to
      Python 3.
  * Dropped changes:
    - d/p/CVE-2020-14019.patch: keep proper umask when calling
      shutil.copy() in rtslib/root.py.
      [Incorporated by upstream]
  * Added changes:
    - d/python3-rtslib-fb.install: Use wildcard to match any Python
      version when installing the files.
    - Reenable testsuite run (LP: #1890243)
      + d/control: B-D on python3-pyudev.
      + d/rules: Don't disable tests.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Fri, 29 Jan 2021 15:34:36 -0500

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,6 @@
 #!/usr/bin/make -f
 
 export DH_VERBOSE=1
-
-# LP: #1890243 workaround
-export PYBUILD_DISABLE_python3=test
 
 include /usr/share/dpkg/default.mk

## python-rtslib-fb 2.1.75

=== debian/changelog ===
python-rtslib-fb (2.1.75-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:42:02 +0200

python-rtslib-fb (2.1.75-2) unstable; urgency=medium

  * Uplaoding to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 22 Sep 2022 16:51:02 +0200

python-rtslib-fb (2.1.75-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 31 Aug 2022 14:21:58 +0200

python-rtslib-fb (2.1.74-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 19:12:28 +0200

python-rtslib-fb (2.1.74-3) experimental; urgency=medium

  * Fix fix-path-of-etc-saveconfig.json.patch again.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Mar 2021 14:34:59 +0200

python-rtslib-fb (2.1.74-2) experimental; urgency=medium

  * Fixed incomplete fix-path-of-etc-saveconfig.json.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Mar 2021 14:28:26 +0200

python-rtslib-fb (2.1.74-1) experimental; urgency=medium

  * New upstream release.
  * Rebased fix-path-of-etc-saveconfig.json.patch.
  * Removed CVE-2020-14019 patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Mar 2021 12:06:38 +0100

## python-rtslib-fb 2.1.76

=== debian/changelog ===
python-rtslib-fb (2.1.76-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090609).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 23:03:17 +0100

python-rtslib-fb (2.1.76-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:24:15 +0200

python-rtslib-fb (2.1.76-1) experimental; urgency=medium

  * New upstream release.
  * Removed depends on lsb-base.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Feb 2024 09:53:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-rtslib-fb
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Andy Grover <andy@groveronline.com>,
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
+ openstack-pkg-tools (>= 99~),
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
@@ -21,7 +21,6 @@
 Package: python3-rtslib-fb
 Architecture: all
 Depends:
- lsb-base,
  python3-pyudev,
  python3-six,
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#prevent internet access to use PyPi
export http_proxy = http://127.0.0.1:9

UPSTREAM_GIT := https://github.com/open-iscsi/rtslib-fb.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	echo "Do nothing..."

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

#override_dh_installdocs:
#	mkdir -p build
#	mkdir -p $(CURDIR)/debian/python-rtslib-fb-doc/usr/share/doc/python-rtslib-fb-doc/html
#	cd build; epydoc --no-sourcecode --html -n rtslib-fb \
#		--exclude configobj ../rtslib/*.py \
#		--output $(CURDIR)/debian/python-rtslib-fb-doc/usr/share/doc/python-rtslib-fb-doc/html
#	dh_installdocs -O--buildsystem=pybuild

override_dh_installinit:
	dh_installinit -O--buildsystem=pybuild --name rtslib-fb-targetctl

override_dh_installsystemd:
	dh_installsystemd -p python3-rtslib-fb --name rtslib-fb-targetctl

## python-rtslib-fb 2.2.3

=== debian/changelog ===
python-rtslib-fb (2.2.3-4) unstable; urgency=medium

  * Fixed unbalanced quotes in the .service to mount /sys/kernel/config.
    (Closes: #1121694).

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Nov 2025 20:39:38 +0100

python-rtslib-fb (2.2.3-3) unstable; urgency=medium

  * Attempt to mount -t configfs none /sys/kernel/config in the .service.

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Nov 2025 23:10:09 +0100

python-rtslib-fb (2.2.3-2) unstable; urgency=medium

  * Removed python3-six (build-)depends (Closes: #1121630).

 -- Thomas Goirand <zigo@debian.org>  Sat, 29 Nov 2025 22:27:09 +0100

python-rtslib-fb (2.2.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1087650).
  * Build-depends on pybuild-plugin-pyproject, python3-hatchling and
    python3-hatch-vcs.
  * Fix fix-path-of-etc-saveconfig.json.patch (rebased/refresh) for this
    upstream release.
  * d/rules: removed some overrides, and let pybuild do its things.
  * Add python3-pyudev as build-depends-indep.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Nov 2025 09:16:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,14 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 99~),
+ openstack-pkg-tools,
+ pybuild-plugin-pyproject,
  python3-all,
+ python3-hatch-vcs,
+ python3-hatchling,
  python3-setuptools,
 Build-Depends-Indep:
- python3-six,
+ python3-pyudev,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-rtslib-fb
 Vcs-Git: https://salsa.debian.org/openstack-team/python/python-rtslib-fb.git
@@ -22,7 +25,6 @@
 Architecture: all
 Depends:
  python3-pyudev,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Conflicts:

=== debian/rules ===
#!/usr/bin/make -f

#prevent internet access to use PyPi
export http_proxy = http://127.0.0.1:9

UPSTREAM_GIT := https://github.com/open-iscsi/rtslib-fb.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_clean:
	rm -rf build
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	dh_auto_clean

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installinit:
	dh_installinit -O--buildsystem=pybuild --name rtslib-fb-targetctl

override_dh_installsystemd:
	dh_installsystemd -p python3-rtslib-fb --name rtslib-fb-targetctl
